"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.gitAddAction = void 0;

var _execReturn = require("../../cmd/execReturn");

const gitAddAction = async ({
  root,
  log
}, {
  files
}) => {
  if (files.length === 0) {
    return;
  }

  log.info('Add files to the staged:');
  log.info(files.map(file => `▸ ${file}`));
  const args = ['add', ...files.map(file => file === '.' ? '.' : `"${file}"`)];
  await (0, _execReturn.execReturn)({
    cmd: 'git',
    args,
    cwd: root,
    log
  });
};

exports.gitAddAction = gitAddAction;