"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.execReturn = void 0;

var _executableError = require("../errors/executableError");

var _exec = require("./exec");

const execReturn = props => new Promise((resolve, reject) => {
  const stream = (0, _exec.exec)(props);
  stream.stdout.setEncoding('utf8');
  stream.stderr.setEncoding('utf8');
  let output = '';
  let stdout = '';
  let stderr = '';
  stream.stdout.on('data', data => {
    const value = String(data);
    output += value;
    stdout += value;
    props.log.debug(value);
  });
  stream.stderr.on('data', data => {
    const value = String(data);
    output += value;
    stderr += value;
    props.log.debug(value);
  });
  stream.on('close', code => {
    if (typeof code === 'number' && code !== 0) {
      reject(new _executableError.ExecutableError(output, (0, _exec.getExecCommand)(props), code));
    } else {
      resolve({
        stdout,
        stderr,
        output
      });
    }
  });
});

exports.execReturn = execReturn;