"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.existFiles = void 0;

var _path = require("path");

var _access = require("./access");

const existFile = async (cwd, file) => {
  const path = (0, _path.join)(cwd, file);
  const hasAccess = await (0, _access.access)(path, 'readable');
  return hasAccess ? path : '';
};

const existFiles = async (files, cwd = '') => {
  const checkedFiles = await Promise.all(files.map(file => existFile(cwd, file)));
  return checkedFiles.filter(file => file !== '');
};

exports.existFiles = existFiles;