"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handler = exports.desc = exports.command = exports.builder = void 0;

var _yargs = require("../cli/yargs");

var _testTask = require("../tasks/testTask");

const command = 'test';
exports.command = command;
const desc = 'Run tests';
exports.desc = desc;
const options = {
  group: `${command}-Options`
};
const boolOptions = { ...options,
  type: 'boolean',
  default: false
};
const handler = (0, _yargs.createHandler)(_testTask.testTask);
exports.handler = handler;
const builder = (0, _yargs.createBuilder)(command, yargs => yargs.options({
  project: { ...options,
    array: true,
    type: 'string',
    alias: 'p',
    describe: 'Run only the tests of the specified projects'
  },
  updateSnapshot: { ...boolOptions,
    alias: 'u',
    describe: 'Use this flag to re-record every snapshot that fails during this test run'
  },
  runInBand: { ...boolOptions,
    alias: 'i',
    describe: 'Run all tests serially in the current process'
  },
  watch: { ...boolOptions,
    alias: 'w',
    describe: 'Watch files for changes and rerun tests related to changed files'
  }
}));
exports.builder = builder;