"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getReadableFileOrUndefined = void 0;

var _fs = require("fs");

var _path = require("path");

const getReadableFileOrUndefined = (path, filename, [extendsion, ...extendsions]) => {
  try {
    const file = (0, _path.join)(path, `${filename}.${extendsion}`);
    (0, _fs.accessSync)(file, _fs.constants.R_OK);
    return file;
  } catch (error) {
    if (extendsions.length > 0) {
      return getReadableFileOrUndefined(path, filename, extendsions);
    }

    return undefined;
  }
};

exports.getReadableFileOrUndefined = getReadableFileOrUndefined;