"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getAliasConfig = void 0;

var _toolLib = require("@kettil/tool-lib");

var _reduceAliasList = require("./reduceAliasList");

const getAliasConfig = ({
  config,
  replaceConfig,
  defaultAliases = {}
}) => {
  const items = replaceConfig ? {} : { ...defaultAliases
  };
  const {
    aliases
  } = config;

  if (aliases === undefined) {
    return items;
  }

  if (!(0, _toolLib.isObject)(aliases)) {
    throw new TypeError('.carnarc.json: license.aliases is not an object');
  }

  return (0, _toolLib.objectEntries)(aliases).reduce(_reduceAliasList.reduceAliasList, items);
};

exports.getAliasConfig = getAliasConfig;