"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.reduceCompatibilityList = void 0;

var _toolLib = require("@kettil/tool-lib");

const reduceCompatibilityList = (licenseGroups, [licenseName, licenses]) => {
  if (!(0, _toolLib.isString)(licenseName)) {
    throw new TypeError('.carnarc.json: license.compatibilities has a key that is not a string');
  }

  if (!(0, _toolLib.isArray)(licenses)) {
    throw new TypeError(`.carnarc.json: license.compatibilities.${licenseName} is not an array`);
  }

  if (!licenses.every(license => (0, _toolLib.isString)(license))) {
    throw new TypeError(`.carnarc.json: license.compatibilities.${licenseName} has a value that is not a string`);
  }

  return Object.assign(licenseGroups, {
    [licenseName]: [...(licenseGroups[licenseName] ?? []), ...licenses]
  });
};

exports.reduceCompatibilityList = reduceCompatibilityList;