"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCoverageErrorMessage = void 0;

var _chalk = require("chalk");

var _getCoverageWatermark = require("./getCoverageWatermark");

const getCoverageErrorMessage = (key, watermarks, coverageSummary) => {
  const limit = Math.min(...(0, _getCoverageWatermark.getCoverageWatermark)(watermarks[key]));
  const value = coverageSummary[key].pct;
  return (0, _chalk.red)(`Coverage threshold for ${(0, _chalk.bold)(key)} (${limit}%) not met: ${value}%`);
};

exports.getCoverageErrorMessage = getCoverageErrorMessage;