"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.taskHook = void 0;

var _toolLib = require("@kettil/tool-lib");

var _packageLoad = require("../actions/npm/packageLoad");

var _run = require("../actions/npm/run");

var _spinner = require("../cli/spinner");

const taskHook = async (argv, {
  task,
  type
}) => {
  const scripts = await (0, _packageLoad.npmPackageLoadAction)(argv, {
    key: 'scripts'
  });
  const script = `${type}carna:${task}`;

  if ((0, _toolLib.isObject)(scripts) && (0, _toolLib.isString)(scripts[script])) {
    await (0, _spinner.spinnerAction)((0, _run.npmRunAction)(argv, {
      script
    }), `Run npm script: ${script}`);
  } else {
    argv.log.info(`The NPM script "${script}" is not defined`);
  }
};

exports.taskHook = taskHook;