"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.testHook = void 0;

var _path = require("path");

var _spinner = require("../cli/spinner");

var _access = require("../cmd/access");

var _execReturn = require("../cmd/execReturn");

const runHook = async (cwd, log, project, path) => {
  const cmd = './node_modules/.bin/babel-node';
  const args = ['-x', '.js,.ts', '--', path];
  log.debug(`Run ${(0, _path.basename)(path)} for test project ${project}`);
  await (0, _execReturn.execReturn)({
    cmd,
    args,
    cwd,
    log
  });
};

const testHook = async (argv, {
  project,
  type
}) => {
  const pathTs = (0, _path.join)(argv.cwd, 'tests', project, `${type}.ts`);
  const pathJs = (0, _path.join)(argv.cwd, 'tests', project, `${type}.js`);
  const isReadableTs = await (0, _access.access)(pathTs, 'readable');

  if (isReadableTs) {
    await (0, _spinner.spinnerAction)(runHook(argv.cwd, argv.log, project, pathTs), `Test: ${project} [${type} hook]`);
    return;
  }

  const isReadableJs = await (0, _access.access)(pathJs, 'readable');

  if (isReadableJs) {
    await (0, _spinner.spinnerAction)(runHook(argv.cwd, argv.log, project, pathJs), `Test: ${project} [${type} hook]`);
  }
};

exports.testHook = testHook;